body {
	font-size:<?php echo $mainFontSize; ?>px;
	color:<?php echo $bodyText; ?>;
}

a:link,a:visited {
	color:<?php echo $linkColor; ?>;
}

.button {
	background:<?php echo $linkColor; ?>;
}

.button1 {
	background:<?php echo $buttonLeft; ?>;
}

.button2 {
	background:<?php echo $buttonRight; ?>;
}

.inputbox:focus, textarea.rapid_contact:focus {
	box-shadow:0px 0px 5px <?php echo $linkColor; ?>;
}

.sectiontableheader {
	border-bottom:1px dotted <?php echo $linkColor; ?>;
}

.header_wrap {
	height:70px;
	margin:0 auto;
	background: <?php echo $logoTop; ?>; /* Old browsers */
	background: -moz-linear-gradient(top, <?php echo $logoTop; ?> 0%, <?php echo $logoTop; ?> 50%, <?php echo $logoBottom; ?> 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,<?php echo $logoTop; ?>), color-stop(50%,<?php echo $logoTop; ?>), color-stop(100%,<?php echo $logoBottom; ?>)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  <?php echo $logoTop; ?> 0%,<?php echo $logoTop; ?> 50%,<?php echo $logoBottom; ?> 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  <?php echo $logoTop; ?> 0%,<?php echo $logoTop; ?> 50%,<?php echo $logoBottom; ?> 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  <?php echo $logoTop; ?> 0%,<?php echo $logoTop; ?> 50%,<?php echo $logoBottom; ?> 100%); /* IE10+ */
	background: linear-gradient(top,  <?php echo $logoTop; ?> 0%,<?php echo $logoTop; ?> 50%,<?php echo $logoBottom; ?> 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='<?php echo $logoTop; ?>', endColorstr='<?php echo $logoBottom; ?>',GradientType=0 ); /* IE6-8 */
}

.logo_text, .logo_text a, .logo_text span {
	color:<?php echo $logoColor1; ?> !important;
}

.header,#topmenu_wrap2,.gallery,.upper,.main_area,.bottom,.footer,.footer2,.footer3,.footer4,.topPanelModules {
	width:<?php echo $templateWidth; ?>px;
}

<?php
$IsIpad = 0;
$IsIpad = stristr($_SERVER['HTTP_USER_AGENT'],'iPad');
if($IsIpad) { ?>
.main_container {
	width:<?php echo $templateWidth; ?>px;
}
<?php } ?>

.upper_wrap {
	background: <?php echo $advertTop; ?>; /* Old browsers */
	background: -moz-linear-gradient(top, <?php echo $advertTop; ?> 40%, #FFFFFF 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(40%,<?php echo $advertTop; ?>), color-stop(100%,#FFFFFF)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top, <?php echo $advertTop; ?> 40%,#FFFFFF 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top, <?php echo $advertTop; ?> 40%,#FFFFFF 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top, <?php echo $advertTop; ?> 40%,#FFFFFF 100%); /* IE10+ */
	background: linear-gradient(top,  <?php echo $advertTop; ?> 40%,#FFFFFF 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='<?php echo $advertTop; ?>', endColorstr='#FFFFFF',GradientType=0 ); /* IE6-8 */
}

#content_wrap {
	width:<?php echo $contentWidth; ?>px;
}

#column_left {
	width:<?php echo $columnLeftWidth; ?>px;
    margin-<?php if($columnLayout=="mlr") { echo "left"; }else{ echo "right"; } ?>:0px;
}

#column_right {
	width:<?php echo $columnRightWidth; ?>px;
    margin-<?php if($columnLayout=="mlr" or $columnLayout=="lmr") { echo "left"; }else{ echo "right"; } ?>:0px;
}

.componentheading, h1 {
	color:<?php echo $componentHeadingText; ?>;
}

.contentheading, h2, h3, h4, .contentheading a, h2 a {
	color:<?php echo $headingText; ?> !important;
}

h2 a:hover {
	color:<?php echo $headingHoverText; ?>;
}

#column_right div.moduletable, #column_right div.moduletable_contact,
#column_left div.moduletable, #column_left div.moduletable_contact {
    color:<?php echo $columnText; ?>;
}

div.moduletable h3, div.moduletable_contact h3 {
	color:<?php echo $columnHeading; ?>;
}

#topmenu_wrap {
	border-top:1px solid <?php echo $topMenuBottom; ?>;
	background: <?php echo $topMenuTop; ?>; /* Old browsers */
	background: -moz-linear-gradient(top,  <?php echo $topMenuTop; ?> 0%, <?php echo $topMenuBottom; ?> 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,<?php echo $topMenuTop; ?>), color-stop(100%,<?php echo $topMenuBottom; ?>)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  <?php echo $topMenuTop; ?> 0%,<?php echo $topMenuBottom; ?> 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  <?php echo $topMenuTop; ?> 0%,<?php echo $topMenuBottom; ?> 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  <?php echo $topMenuTop; ?> 0%,<?php echo $topMenuBottom; ?> 100%); /* IE10+ */
	background: linear-gradient(top,  <?php echo $topMenuTop; ?> 0%,<?php echo $topMenuBottom; ?> 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='<?php echo $topMenuTop; ?>', endColorstr='<?php echo $topMenuBottom; ?>',GradientType=0 ); /* IE6-8 */
}

#nav li a {
    color:<?php echo $topMenuText; ?>;
}

#nav > li {
	border:1px solid <?php echo $topMenuTop; ?>;
}

#nav > li#current, #nav > li.active, #nav > li:hover {
	background:<?php echo $topMenuButton; ?>;
    color:<?php echo $topMenuButtonText; ?> !important;
}

#nav > li:hover a {
	color:<?php echo $topMenuButtonText; ?> !important;
}

#nav > li a:hover, #nav > li.active > a {
    color:<?php echo $topMenuButtonText; ?> !important;
}

#nav li.active ul li a,
#nav li ul li a,
#nav li:hover ul li a {
	color:<?php echo $topMenuSubText; ?> !important;
}

#nav li:hover ul li a:hover,
#nav li.active ul li a:hover,
#nav li ul li#current a:hover {
    color:<?php echo $topMenuSubHoverText; ?> !important;
}

#nav li ul li {
	border:none;
}

ul.menu li a:link,ul.menu li a:visited,
ul.newsfeed li a:link, ul.newsfeed li a:visited {
	color:<?php echo $mainMenuText; ?>;
}

ul.menu li a:hover,
ul.newsfeed li a:hover {
	color:<?php echo $mainMenuHoverText; ?> !important;
}

#column_left li.active a:link,#column_left li.active a:visited,
#column_right li.active a:link,#column_right li.active a:visited {
	color:<?php echo $mainMenuTextActive; ?> !important;
}

#column_left li.active ul li a:link,#column_left li.active ul li a:visited,
#column_right li.active ul li a:link,#column_right li.active ul li a:visited {
	color:<?php echo $bodyText; ?> !important;
}

#column_left li.active > a:link,#column_left li.active > a:visited,
#column_right li.active > a:link,#column_right li.active > a:visited {
    background:<?php echo $mainMenuHoverText; ?>;
}

.footer_copyright1, .footer_copyright1 a:link, .footer_copyright1 a:visited,
.footer_copyright2, .footer_copyright2 a:link, .footer_copyright2 a:visited {
	color:<?php echo $copyrightText; ?>;
}

.upper .module_padding {
	width:<?php echo $advert_width; ?>px;
}

.upper h1 {
	color:<?php echo $advert14ModulesHeading; ?> !important;
    text-shadow:1px 1px 0px <?php echo $advert14ModulesHeadingShadow; ?>;
}

.bottom .module_padding {
	width:<?php echo $bottom_width; ?>px;
}

.footer_wrap {
	background:<?php echo $footerBg; ?>;
}

.footer_wrap2, .footer_wrap2_bottom {
	background-color:<?php echo $user1316ModulesBackground; ?>;
}

.footer .module_padding {
	width:<?php echo $footer1_width; ?>px;
    background:none;
}

.footer2 .module_padding {
	width:<?php echo $footer2_width; ?>px;
    background:none;
}

.footer3 .module_padding {
	width:<?php echo $footer3_width; ?>px;
    background:none;
}

.footer div.moduletable h3, .footer div.moduletable a:link, .footer div.moduletable a:visited {
	color:<?php echo $user912ModulesHeading; ?>;
}

.footer div.moduletable {
	color:<?php echo $user912ModulesText; ?>;
}

.footer ul.menu li a:link,.footer ul.menu li a:visited, .footer ul.menu li a:hover {
	color:<?php echo $footer14ModulesLink; ?> !important;
}

.footer2 div.moduletable h3, .footer2 div.moduletable a:link, .footer2 div.moduletable a:visited {
	color:<?php echo $user1316ModulesHeading; ?>;
}

.footer2 div.moduletable {
	color:<?php echo $user1316ModulesText; ?>;
}

.footer3 div.moduletable h3 {
	color:<?php echo $footer14ModulesHeading; ?>;
}

.footer3 div.moduletable, .footer3 div.moduletable ul.menu li a:link, .footer3 div.moduletable ul.menu li a:visited {
	color:<?php echo $footer14ModulesText; ?>;
}

.footer_wrap4 {
	background:<?php echo $copyrightBg; ?>;
}

.footer4 ul.menu li a:link, .footer4 ul.menu li a:visited, .footer4 ul.menu li a:hover {
	color:<?php echo $copyrightLink; ?> !important;
}

.topPanelModules .module_padding {
	width:<?php echo $panel_width; ?>px;
    background:none;
}

.upper,.upper p,.upper div,.upper a:link,.upper a:visited {
	color:<?php echo $advert14ModulesText; ?>;
}

.bottom,.bottom p,.bottom div {
	color:<?php echo $user58ModulesText; ?>;
}

.upper div.moduletable h3,
.upper div.moduletable h3 span {
	color:<?php echo $advert14ModulesHeading; ?>;
}

.bottom div.moduletable h3,
.bottom div.moduletable h3 span {
	color:<?php echo $user58ModulesHeading; ?>;
}

ul.menu li a:link,ul.menu li a:visited,
ul.newsfeed li a:link, ul.newsfeed li a:visited,
.header_menu a,
.footer ul.menu li a:link,.footer ul.menu li a:visited,
.moduletable {
	font-size:<?php echo $modulesFontSize; ?>px;
}

.moduletable .contentpaneopen,
.moduletable .article_separator {
	background:url(<?php echo $template_path; ?>/images/bg_transparent_black.png);
}

a.pagenav {
	background:<?php echo $headingText; ?>;
}

#top-panel {
	background:<?php echo $panelBg; ?>;
	border-bottom:3px solid <?php echo $panelBorder; ?>;
}

.topPanelModules div.moduletable h3,.topPanelModules div.moduletable h3 span {
	color:<?php echo $panelHeadings; ?>;
}

.topPanelModules div.moduletable {
	color:<?php echo $panelText; ?>;
}

.topPanelModules ul.menu li a:link,.topPanelModules ul.menu li a:visited,
.topPanelModules div.moduletable a:link, .topPanelModules div.moduletable a:visited, .topPanelModules div.moduletable a:hover {
	color:<?php echo $panelLinks; ?> !important;
}